#include "countMin-cor.h"

int countMinimum(int *t, int i, int n){
	if(n<=i) return 0;
	else{
		int min = i;
		int count = 1;
		/*@ loop assigns min, count,k;
		  @ loop invariant i<=min<k<=n;
		  @ loop invariant minimum(t,i,k,min);
		  @ loop invariant count == countTab(t,i,k,t[min]);
		  @ loop invariant \forall int val; val<t[min] ==> countTab(t,i,k,val) == 0;
		  @ loop invariant count <= k-i; //pour RTE
		  @ loop variant n-k;
		 */
		for(int k = i+1; k<n;k++){
			if(t[k] < t[min]){
				min = k;
				count = 0;
			}
			if(t[k] == t[min]) count++;
		}
		return count;
	}
}
