#ifndef __COUNT_MINIMUM_
#define __COUNT_MINIMUM_

#include "formalism-cor.h"
#include "limits.h"

/*@ requires \valid(t + (i .. n-1));
  @ requires n-i<INT_MAX;
  @ assigns \nothing;
  @ behavior invalidRange:
  @ 	assumes n<=i;
  @ 	ensures \result == 0;
  @
  @ behavior validRange:
  @ 	assumes i<n;
  @ 	ensures \exists integer k; i <= k < n && minimum(t,i,n,k) && \result == countTab(t,i,n,t[k]);
  @
  @ complete behaviors;
  @ disjoint behaviors;
 */
int countMinimum(int *t, int i, int n);

#endif
