#include "countTab-cor.h"

/*@ requires \valid(t+ (0 .. n-1));
  @ assigns \nothing;
  @ ensures \result == countTab(t,0,n,val);
 */
int countTab(int *t, int n, int val){
	if(n<=0) return 0;
	else{
		int res = 0;
		/*@ loop assigns i,res;
		  @ loop invariant res == countTab(t,0,i,val);
		  @ loop invariant 0<=i<=n;
		  @ loop invariant res <= i; //pour RTE.
		  @ loop variant n-i;
		 */
		for(int i = 0; i<n; i++){
			if(t[i] == val) res++;
		}
		return res;
	}
}
