#include "minimum-cor.h"

int minimum(int *t, int i, int n){
	if(n<=i) return n-1;
	else{
		int min = i;
		/*@ loop assigns k,min;
		  @ loop invariant i<k<=n;
		  @ loop invariant minimum(t,i,k,min);
		  @ loop invariant firstMinimum(t,i,k,min);
		  @ loop variant n-k;
		 */
		for (int k = i+1; k<n; k++){
			if(t[k]<t[min]) min = k;
		}
		return min;
	}
}
