#ifndef __MINIMUM_
#define __MINIMUM_

#include "formalism-cor.h"
#include "limits.h"

/*@ requires \valid(t + (i .. n-1));
  @ requires n>INT_MIN;
  @ assigns \nothing;
  @ behavior invalidRange:
  @ 	assumes n<=i;
  @ 	ensures \result == n-1;
  @
  @ behavior validRange:
  @ 	assumes i<n;
  @ 	ensures minimum(t,i,n,\result);
  @ 	ensures firstMinimum(t,i,n,\result);
  @
  @ complete behaviors;
  @ disjoint behaviors;
 */
int minimum(int *t, int i, int n);

#endif
