#include "sortByPermutation-cor.h"
#include "swap-cor.h"
#include "minimum-cor.h"

void sortByPermutation(int *t, int i, int n){
	if(n<i) return;
	/*@ loop assigns j,t[i .. n-1];
	  @ loop invariant i<=j<=n;
	  @ loop invariant sorted(t,i,j);
	  @ loop invariant j>i ==> minimum(t,j-1,n,j-1);
	  @ loop invariant permutation{Pre,Here}(t,t,i,n);
	  @ loop variant n-j;
	 */
	for(int j = i; j<n; j++){
		int min = minimum(t,j,n);
		swapArray(t,i,n,j,min);
	}
}
